from setuptools import setup, find_packages

setup(
    name='IoTNetworkMalwareClassifier',  
    version='0.0.20',
    packages=find_packages(),
    include_package_data=True,
    package_data={'IoTNetworkMalwareClassifier': ['data/*']},
    install_requires=[
        'scikit-learn==1.4.2',
        'numpy==1.25.2',
        'tensorflow==2.15.0',
        'ipaddress==1.0.23',
        'pandas==2.2.2'
    ],
    author='Sergio Sánchez Sánchez',
    author_email='dreamsoftware92@gmail.com',
    description='🛡️ The IoT Network Malware Classifier 🚀 is an advanced solution tackling security concerns in IoT, employing deep learning for precise malware detection in network traffic.',
    url='https://github.com/sergio11/iot_network_malware_classifier',
    keywords=['IoT', 'malware', 'network traffic', 'Deep Learning', 'classification'],
    classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Programming Language :: Python :: 3.10',
    ],
    python_requires='>=3.7, <4',
    long_description=open('README.md', encoding='utf-8').read(),
    long_description_content_type='text/markdown'
)

"""
IoTNetworkMalwareClassifier Setup

A🛡️ The IoT Network Malware Classifier 🚀 is an advanced solution tackling security concerns in IoT, employing deep learning for precise malware detection in network traffic.

Project Details:
- Name: IoTNetworkMalwareClassifier
- Version: 0.0.20
- Author: Sergio Sánchez Sánchez
- Email: dreamsoftware92@gmail.com
- Description: A package for classifying malware in IoT network traffic data using Deep Learning techniques
- Repository: https://github.com/sergio11/iot_network_malware_classifier

Development Status: Beta

License: MIT License

Python Version Compatibility: >=3.7, <4

For more details, please refer to the project's README.md file.
"""